Overview

Welcome!

Welcome to BackStreet Browser recursive downloader - a powerful and flexible automated tool for web sites download and offline browsing. With BackStreet Browser you can easily retrieve web sites from the Internet obtaining their complete local mirrors on your own workstation.

Use BackStreet Browser to execute the complete or partial web sites download including all linked pages, images, sounds and other elements. BackStreet Browser can also rebuild all links as local ones so that to provide perfect and extremely fast offline browsing allowing you to save your time and traffic. Moreover, you don't even need to use your Internet browser - BackStreet Browser includes an embedded full-scale browsing tool.

Using BackStreet Browser you do not depend on slow modems or overladen lines, you don't need to wait or switch between your usual browser windows - you benefit.


BackStreet Browser Interface and control

Interface and control

BackStreet Browser is a solid SDI application with intuitive interface. Here are the basic elements of the BackStreet Browser main window. See the list under the picture for the descriptions of the numbered items.

1. Application main menu whose items allow you to use all BackStreet Browser features, define settings, etc.

2. Application main toolbar where most items of the main menu are duplicated to provide you with one-click access to major BackStreet Browser functions.

3. Projects/folders tree: current workspace node.

4. Projects/folders tree: projects of the current workspace and their subfolders (there can be several projects in the same workspace). The projects/folders tree has a special context menu available on a right-click.

5. Application status bar showing current BackStreet Browser state, number of projects in the workspace, etc.

6. Number of simultaneous file downloads (current/maximal allowed).

7. Slider maximal allowed number of simultaneous file downloads.

8. Current and average download speed.

Note. Items 6-8 form the "Download threads" toolbar.

9. Current download speed, graphically.

10. List of files of the folder selected in the projects/folders tree.

11. Navigation toolbar.

12. Embedded MS Internet Explorer window. To turn on/off use the button "IE Panel" in the main toolbar.

13. Download statistics window. To turn on/off use the button "Stat." in the main toolbar.


Main application menu

Main menu

In this section we have described for you all items and sub-items of the BackStreet Browser main menu.

Menu item File:

  • Use the sub-item "New" to create a new BackStreet Browser project.
  • Use the sub-item "Copy to..." to copy the selected project to a new location on your hard drive.
  • Use the sub-item "Import URLs" to import a text file containing URLs list (one URL per line). A separate project will be created for each URL in the current workspace.
  • Use the sub-items "Load workspace", "Save workspace", "Clear workspace" and "Clear workspace and files" to operate the current BackStreet Browser workspace.
  • Use the sub-item "RAS connection" to setup a RAS connection for download.
  • Use the sub-item/option "Minimize to system tray" to if the application should be represented with an icon in the system tray when minimized.
  • Use the sub-items "Page setup", "Print preview" and "Print" to print the current web page that is shown in the embedded MS Internet Explorer panel.
  • Use the sub-item Exit to quit the BackStreet Browser application.

Menu item Edit:

  • Use the sub-item "Cut" and "Copy" to cut or copy the selected file.
  • Use the sub-item "Delete file" to delete the selected file. At that the file will physically remain on the hard drive.
  • Use the sub-item "Delete project" to delete the selected project. At that the files of the project will physically remain on the hard drive. Please note that BackStreet Browser will remove not only the selected branch in the projects/folders tree but the whole project to which the branch belongs.
  • Use the sub-item "Delete project and files" to delete the selected project. Attention! At that the files of the project will be physically removed from the hard drive. Please also note that BackStreet Browser will remove not only the selected branch in the projects/folders tree but the whole project to which the branch belongs.

Menu item Project:

  • Use the sub-item "Start download" to start the download process for the project whose branch is selected in the projects/folders tree.
  • Use the sub-item "Stop download" to stop the download process for the project whose branch is selected in the projects/folders tree.
  • Use the sub-item "Update files" to re-download expired files of the the project whose branch is selected in the projects/folders tree.
  • Use the sub-item "Resume all projects" to start download processes for all projects of the workspace.
  • Use the sub-item "Stop all projects" to stop download processes for all projects of the workspace.
  • Use the sub-item "Clear database" to remove all files of the project but keep the project itself. At that the files of the project will physically remain on the hard drive.
  • Use the sub-item "Relink all files" to update links in the project downloaded files according to the project current load properties. This is very useful if after the download has completed you decided to change all or some original links for local ones (e. g. during the download you used the option "Do not relink local files" but now you decided to change it for "Relink ONLY loaded files" or "Relink ALL files"). Note that if the project load properties still say "Do not relink local files", this menu sub-item will do nothing.
  • Use the sub-item "Project properties" to call the project properties dialog for the selected project.
  • Use the sub-item "New project defaults" to setup defaults which will be used for all newly created projects. The dialog similar to usual project properties dialog will appear for this purpose.

Menu item View:

  • Use the sub-items "Toolbars", "Status bar" and "Navigate bar" to select the application toolbars you need to have at hand.
  • Use the sub-items "List view" and "Details view" to setup the files list representation.
  • Use the sub-item "Show URL instead of title" to show project URLs instead of project titles in the projects/folders tree.
  • Use the sub-items "Log window", "Download statistics" and "IE panel" to show and hide additional BackStreet Browser panels representing download results and statistics.


Main application toolbar

Main toolbar

1. Use this button to create a new BackStreet Browser project.

2. Use this button to copy the selected project to a new location on your hard drive.

3. Use this button to start or resume download.

4. Use this button to interrupt download.

5. Use this button to turn on/off the download statistics window.

6. Use this button to turn on/off the embedded MS Internet Explorer window.


Project/folders tree context menu

In the Project/folders tree a special context menu is available on a right-click.

  • Use the item "New" to create a new BackStreet Browser project.
  • Use the item "Delete project" to delete the selected project. At that the files of the project will physically remain on the hard drive. Please note that BackStreet Browser will remove not only the selected branch in the projects/folders tree but the whole project to which the branch belongs.
  • Use the item "Delete project and files" to delete the selected project. Attention! At that the files of the project will be physically removed from the hard drive. Please also note that BackStreet Browser will remove not only the selected branch in the projects/folders tree but the whole project to which the branch belongs.
  • Use the sub-item "Start download" to start the download process for the project whose branch is selected in the projects/folders tree.
  • Use the sub-item "Stop download" to stop the download process for the project whose branch is selected in the projects/folders tree.
  • Use the sub-item "Update files" to re-download expired files of the the project whose branch is selected in the projects/folders tree.
  • Use the sub-item "Resume all projects" to start download processes for all projects of the workspace.
  • Use the sub-item "Stop all projects" to stop download processes for all projects of the workspace.
  • Use the sub-item "Clear database" to remove all files of the project but keep the project itself. At that the files of the project will physically remain on the hard drive.
  • Use the sub-item "Relink all files" to update links in the project downloaded files according to the project current load properties. This is very useful if after the download has completed you decided to change all or some original links for local ones (e. g. during the download you used the option "Do not relink local files" but now you decided to change it for "Relink ONLY loaded files" or "Relink ALL files"). Note that if the project load properties still say "Do not relink local files", this menu sub-item will do nothing.
  • Use the item "Copy URL" to copy the URL of the current project into the Windows clipboard.
  • Use the item "Open main page" to open locally the primary page of the current project (if downloaded).
  • Use the item "Disable" to prohibit update, relink and retrieving for files stored in the selected folder.
  • Use the item "Enable" to allow update, relink and retrieving for files stored in the selected folder.
  • Use the item "Open folder" to open the selected folder with Windows Explorer.
  • Use the sub-item "Project properties" to call the project properties dialog for the selected project.


File list context menu

In the files list of the project a special context menu is available on a right-click.

  • Use the item "Shell open" to open the selected file with the application associated in Windows with files of the same type.
  • Use the item "Retrieve now" to forcedly re-download the selected file.
  • Use the item "Update now" to re-download the selected file if it is expired.
  • Use the item "Open owner page" to open locally the primary URL of the project to which the selected file belongs (if downloaded).
  • Use the item "Open from the Internet" to open the selected file from its Internet location using your default Internet browser.
  • Use the item "Copy URL" to copy the URL of the selected file into the Windows clipboard.
  • Use the item "Delete file" to delete the selected file. At that the file will physically remain on the hard drive if has already been downloaded.
  • Use the item "Disable" to prohibit update, relink and retrieving for the selected file.
  • Use the item "Enable" to allow update, relink and retrieving for the selected file.
  • Use the item "Relink file" to update links in the selected file according to the project current load properties. This is very useful if after the file was downloaded you decided to change all or some original links for local ones (e. g. during the download you used the option "Do not relink local files" but now you decided to change it for "Relink ONLY loaded files" or "Relink ALL files"). Note that if the project load properties still say "Do not relink local files", this menu sub-item will do nothing.


Status bar

BackStreet Browser status bar is situated at the bottom of the main application window. It reflects current information about the application state and number of projects/files being processed.

1. Current BackStreet Browser state;

2. Total number of projects in the workspace;

3. Total number of files in all projects in the workspace;

3. Total number of files in all projects in the workspace that have not been downloaded yet but are queued for download.


Getting started

Here is a usual workflow when working with BackStreet Browser:

1. You run BackStreet Browser and create a new project.

2. You specify settings for the project: primary URL, output folder, download parameters (e. g. you want the links of the downloaded pages to be rebuilt as local ones), file filters (e. g. you do not want to download sound files - .WAV, .MP3, etc.), connection parameters (e. g. proxy), etc. You can set maximal link depth (how many levels of linked pages you need), server parameters (to download only pages within the primary server or follow to other servers) and direction (only subfolders of the primary folder or all folders), maximal and/or minimal size of files to download and many other project properties.

3. BackStreet Browser starts working on your project in completely automated mode. It connects to the specified primary web page and starts downloading taking into account the parameters you specified. If necessary, you can interrupt the download at any stage.

4. You get your project completed and from then on browse the downloaded site or part of the site locally without spending more time and traffic for Internet access.

This is generally how BackStreet Browser works. We offer you several brief step-by-step guides to help you quickly get acquainted with major BackStreet Browser operations:

1. Creating a new project

2. Specifying project properties

3. Starting and resuming download

4. Interrupting download

5. Saving and copying a project

You can also learn about BackStreet Browser additional capabilities:

1. Working with workspaces

2. Setting up RAS connection

3. Batch processing: working with URLs lists

4. Using Regular expressions


Creating a new BackStreet Browser project

To create a new BackStreet Browser project use the button "New" in the application toolbar (main menu item File\New; shortcut Ctrl+N). The Project properties dialog will appear where you should set your project's parameters. The most important parameter if a project is its primary URL. The button "OK" in the Project properties dialog will be disabled until you set the primary URL.

After you have set the parameters as necessary, press the button "OK". BackStreet Browser will automatically start downloading files according to your settings.


Specifying Project properties

For each BackStreet Browser project you can specify an individual set of parameters that will define BackStreet Browser behavior when working with this project. When you create a new project, BackStreet Browser automatically opens the Project properties dialog so that you could set the necessary parameters. For an existing project you can access its settings using the main menu item Project\Project properties.

The most important parameter if a project is its primary URL. The button "OK" in the Project properties dialog will be disabled until you set the primary URL.

You can also specify the project's title to use it in the projects/folders tree. Otherwise the project's primary URL will be used to represent the project in the tree.

You are also required to specify the project's root folder on your hard drive to store downloaded files.

The following groups of properties are available for a project, each on its own Properties dialog tab:

1. Group "Load" which contains basic download parameters. For the details click here.

2. Group "File Filter" which defines restrictions and permissions for files being downloaded. For the details click here.

3. Group "URL filter" which determines the ways of processing of the primary URL. For the details click here.

4. Group "Connections" which specifies connection and identification parameters. For the details click here.

5. Group "Others" where you can set some additional parameters. For the details click here.


Download parameters

Load

At the tab "Load" of the Project properties dialog you can set the following parameters:

Maximal link depth - how many link levels should BackStreet Browser follow during the download (including the starting page level). E. g. if you need to download only one HTML page without linked pages, you should set Maximal link depth to 1. See an example for better understanding.

In the section Update files you can specify BackStreet Browser behavior during repeated or restarted download of the project:

  • choose "When changed" to make BackStreet Browser download files repeatedly only if they differ from their previously downloaded versions;
  • choose "Always" to make BackStreet Browser always download files repeatedly without comparing them with their previously downloaded versions;
  • choose "Never" to make BackStreet Browser never download files repeatedly.

In the section Convert links you can indicate if links in downloaded files must be relinked to local paths:

  • choose "Do not relink local files" so that BackStreet Browser never change links in the files of the project leaving them refer to remote files;
  • choose "Relink ONLY loaded files" so that BackStreet Browser replace remote links to the target files that have been already downloaded with local ones;
  • choose "Relink ALL files" to make BackStreet Browser replace remote links to all files with local ones - whether the target files are downloaded or not.


File filters

File Filter

At the tab "File Filter" of the Project properties dialog you can define file filtering rules - restrictions and permissions for files being downloaded.

All file filtering rules defined for the project are listed in the general list. For each rule the list shows its purpose (Allow/Restrict), type (Contents/Address/Extension, see below) and brief description.

In case of no rule from the list is suitable for this or that file being processed you can set the default rule on the right of the list.

There are three types of file filtering rules available:

1. Content rules to allow or restrict downloading pages containing the specified text.

To add a content rule press the button "Content". In the appeared dialog specify mode (Allow or Restrict) and the text; you can also define if the search must be case sensitive and use regular expressions.

2. Address rules to allow or restrict downloading pages with URL containing the specified text.

To add an address rule press the button "Address". In the appeared dialog specify mode (Allow or Restrict) and the text; you can also define if the search must be case sensitive and use regular expressions.

3. Extension rules to allow or restrict downloading files with the specified extensions and/or of the specified size.

To add an extension rule press the button "Extension". In the appeared dialog specify a mode (Allow or Restrict) and brief description of the extension set; then list necessary extensions separating them with semicolons. BackStreet Browser offers you several predefined extension sets (e. g. "html"; "media", "image", etc.). Use the button next to the extensions entry field to reach the predefined extension sets. You can also define if the search must be case sensitive and use regular expressions.

Here you can also set minimal and/or maximal size for files that you allow or restrict to download (see an example in BackStreet Browser FAQ).


URL filters

URL Filter

At the tab "URL filter" of the Project properties dialog you can define URL filtering rules according to which BackStreet Browser will organize the download process.

In the section Accepted protocols define the protocols that are considered by BackStreet Browser when downloading files. For example, if you do not want to download files available through FTP, uncheck the option "FTP" in this section.

In the section Server specify BackStreet Browser actions when the project contains links to servers other than the one specified as the primary one (parameter URL in the Project properties dialog) :

  • Select "Only from starting server" if you do not want to download linked pages from servers other than the primary one even if there are links to pages located on other servers;
  • Select "Follow other servers" if you want do download the complete site structure including linked pages located on servers other than the primary one.
  • Select "Download pages only from other servers" if you want to download linked pages only from servers other than the primary one. This option is really useful when your primary URL is a web directory (that is a catalogue of web resources) and you need to download target pages but not the pages of the web directory itself.

In the section Folder specify download direction:

  • Select "Follow only subfolders" if during download BackStreet Browser must follow only those links that lead to subfolders of the project primary folder;
  • Select "Follow to any folder" if during download BackStreet Browser can follow links leading to any folders.

See an example for better understanding.


Connection parameters

Connection

At the tab "Connection" of the Project properties dialog you can define connection and authentication parameters for BackStreet Browser to use during the download process.

Use the parameter "Identification" to specify if during the download BackStreet Browser should identify itself as BackStreet Browser, MS IE, Netscape or Opera.

If you are using a proxy, turn on the option "Use proxy server" and set the necessary parameters. You can also specify account and password for HTTP authentication.


Other project parameters

Others

At the tab "Others" of the Project properties dialog you can specify some additional parameters for the project.

In the section "Folder structure" define if BackStreet Browser should recreate in the project's root folder (parameter "Folder" at the top of the Project parameters dialog) the folders structure of sites being downloaded or to store all downloaded files one after another in the single project's root folder.

In the section "Starting HTML page" define the default file name to use it as the starting page if only the folder name is specified as the project's primary URL. You can also define the referrer URL for BackStreet Browser to transmit it as the source web page when connecting via HTTP. This is a very useful feature as some target paged may provide different contents depending on the source web page (referrer URL) from which you got to the target page.

In the section "Loading" set connection timeout (in seconds), number of connection repetitions if failed and the pause before downloading of each file so that not to overload servers (in seconds).


Starting and resuming download

BackStreet Browser starts download automatically when you confirm a new project creation by pressing the button "OK" in the Project properties dialog.

If the download was interrupted, you can restart it by pressing the button "Start" in the application toolbar (you can also use the main menu item Project\Start download, shortcut F9). BackStreet Browser will offer you a choice: to update the files that have already been downloaded, to restart the download process from the very beginning or to resume it and restart from the point where it was stopped before.


Interrupting download

If you need to interrupt the download process you can do it any moment by pressing the button "Stop" in the application toolbar (main menu item Project\Stop download; shortcut Ctrl+F2).

BackStreet Browser does not interrupt the download process irreversibly, instead it stores a savepoint of this download. If in the future you return to the project and press the button "Start" in the application toolbar (main menu item Project\Start download, shortcut F9), the download will be restarted from that very point where it was previously interrupted.


Saving and copying projects

After you have created a project and BackStreet Browser has started download, the project is automatically saved to the folder specified by you as the output folder in the project properties dialog.

If you need to transfer a saved project into another folder, you don't have to navigate through your hard drive folders manually. Select the necessary project in the BackStreet Browser projects list and use the button "Copy to..." in the application toolbar (main menu item File\Copy to...) A copy of all downloaded filed of the project will be transferred to the folder you will specify in the appeared dialog.

In BackStreet Browser you can work not only with separate projects but with workspaces. A workspace is a set of projects that are processed simultaneously. You can operate only one workspace at a time but have as many saved workspaces as you need and switch among them. To know more about workspaces click here.


BackStreet Browser additional capabilities

Additional Capabilities

BackStreet Browser provides some additional features. Among them are:

  • Setting up RAS connection
  • Batch processing: working with URLs lists
  • Web search by keywords
  • Working with Web directories


Working with workspaces

A workspace is a set of BackStreet Browser projects with all their parameters (including download save points if the download was interrupted) that are shown in the projects list and processed simultaneously.

You can operate only one workspace at a time but have as many saved workspaces as you need and switch among them.

To save your current workspace use the item File\Save workspace in the main application menu (shortcut F2). In the appeared dialog you should specify a folder and a file name - the current workspace will be saved there in a file of the special BackStreet Browser format (*.WSB).

To load a previously saved workspace use the item File\Load workspace in the main application menu (shortcut F3). In the appeared dialog you should specify a workspace file previously saved in the BackStreet Browser format (*.WSB).

To clear your current workspace use the item File\Clear workspace in the main application menu (shortcut F7). This will clear your current workspace without saving it (that is close all currently opened projects and clear the projects list). If you have saved the workspace before, the workspace file will remain unchanged.

You can also use the item File\Clear workspace and files in the main application menu. This will clear the current workspace as well as remove the previously saved file of this workspace (if any).

When you select the workspace node in the Projects/folders tree of the application main window, the files list on the right shows totals for first-level child projects of the workspace. For each first-level child project you will see the total number of files in it; number of already downloaded files; number of files to download (queued files); total size of downloaded files and the primary URL.


RAS connections

Setting up RAS connection

The dialog for setting up RAS connection is called by the item File\RAS connection of the application main menu. In this dialog you specify if BackStreet Browser should use your default RAS connection which is set up in Windows or another connection (in this case specify the connection parameters).

You can also set disconnection options.


Batch processing: working with URL lists

If you need to process a significant amount of URLs, you can use the BackStreet Browser batch processing feature, that is to import a text file containing the list of URLs to process (one URL per line). BackStreet Browser then will create a separate project for each URL from the list.

To import the URLs list use the main menu item Files\Import URLs list and select your file in the appeared dialog. After that the Project properties dialog will appear. Here you should set the parameters that then will be used for each created project. The properties dialog is almost the same as usually (for a manually created project), but the fields "URL" and "Title" are not available. In the field "Folder" specify the output folder. For each project a separate subfolder will be created in this folder; the names of the subfolders will correspond the names of the URLs.

Note that download will not start automatically after the projects creation. Use the button "Start" in the toolbar to start the download process.


Using Regular expressions

Regular expressions are a widely-used method of specifying patterns of text to search for. Special service characters (or meta characters) allow you to specify, for instance, that a particular string you are looking for occurs at the beginning or end of a line, or contains N recurrences of a certain character.

In BackStreet Browser you can use regular expressions when setting up File filters in the Project properties dialog.

Below you can find a brief description of regular expressions composition and use. We do not provide specific details since this is not the main subject of the present help. If necessary, you can find the detailed descriptions in many open sources.

• Simple matches
If a character is not a service character (see below), it just matches itself. A series of characters matches that series of characters in the target string: if you specify “Hello world” as your search string, exactly the phrase “Hello world” will be searched for in the target string.

• Character classes (“any character from the list” and “any character not from the list”).
In your search string you can specify a character class instead of a single character by enclosing a list of characters in brackets (“[]”). This will mean that any of the listed characters suits in this character location.
You can also put the character “^”after the “[”.This will mean that any character except of the listed ones suits in this character location.

Examples:
Specify “[ps]ocket” as a search string. Program will find for you “pocket” and “socket”. “Rocket”, “locket”, etc. are not considered suitable.
Specify “[^ps]ocket” as a search string. Program will find for you “rocket”, “locket”, etc. “Pocket” and “socket” are not considered suitable.

For more convenience you can use the "-'' character to specify a characters range. E. g. “a-z” represents all characters between "a'' and "z'', inclusive.
Note. If you want the character "-'' itself to be a member of a class, put it at the start or end of the list, or escape it with a backslash. If You want ']' you may place it at the start of list or precede it with a backslash.

Examples:
[-az] or [az-] matches 'a', 'z' and '-'
[a\-z] matches 'a', 'z' and '-'
[a-z] matches all twenty six small characters from 'a' to 'z'

• Service characters (“any character from the list” and “any character not from the list”)
These are special characters which are the essence of regular expressions. There are basic types of service characters, described below.

Note. Any service character will be regarded as a usual one if it is preceded with a slash (“\”).

Pre-defined classes:
\w - an alphanumeric character (a-z, A-Z, 0-9, "_")
\W - a non-alphanumeric character
\d - a numeric character
\D - a non-numeric character
\s - a space
\S - a non-space character

You may use \w, \d and \s within custom character classes.

Examples:
r\dcket matches strings like “r1cket”, “r7cket” and so on but not “rocket”, “racket”, etc.
r[\w\s]cket matches strings like “rocket”, “racket”, “r cket” and so on but not “r0cket”, “r@cket”, etc.

Line separators:
^ - start of line
$ - end of line
\A - start of text
\Z - end of text
. - any character in line

Examples:
^rocket target string matches only if it starts with 'rocket'
rocket$ target string matches only if it ends with 'rocket'
^rocket$ target string matches only if 'rocket' is the only word in the string
r.cket matches strings like 'rocket', 'racket', 'r cket' and so on

Iterators:
Any item of a regular expression may be followed by another type of service characters - iterators. Placing an iterator after a character or sub-expression in you search line you can specify the number of occurrences of this character/sub-expression in the target line.

? - the symbol must enter the target string never or once
* - the symbol must enter the target string never, once or several times
+ - the symbol must enter the target string once or several times
{n} - the symbol must enter the target string exactly n times
{n,} - the symbol must enter the target string at least n times
{n,m} - the symbol must enter the target string at least n but not more than m times

Examples:
r.?cket matches strings like “rocket”, “racket”, “rcket”, but not “roeocket”
r.*cket matches strings like “rocket”, “roeocket”, “rcket”
r.+cket matches strings like “rocket”, “racket” but not “rcket”
ro{2}cket matches the string “roocket”
ro{2,}cket matches the strings “roocket”, “rooocket”, “roooocket”, etc.
ro{2,3}cket matches the strings “roocket” and “rooocket” but not “roooocket”, etc.

Alternatives:
You can specify a number of alternatives for a pattern using “|” to separate them. This means that the search string “racket|rocket” will match any of “racket” and “rocket” in the target string.
Alternatives are tried from left to right. If one of the alternatives matches, the rest (the ones to the right) are not checked.

Example:
bee(hive|line) matches the strings “beehive” and “beeline”.


BackStreet Browser FAQ

FAQ

Q. I set-up a project - but nothing was downloaded - not even one page.

A. There are several things that may cause this:

First, check your Internet connection - obviously you must be online to download a website.

Second, check your proxy settings. If you are behind a firewall or proxy server - you need to make the necessary settings in the Advanced Project Set-up dialog.

Third, is the site password protected? You may also enter those settings in the Project Properties - Connection tab.

Fourth, check you didn't use any exclude URL filter like "/" or ".com" which will prevent all URLs.

Q. I was working with BackStreet Browser but suddenly realized it's gone somewhere. What has happened?

A. Most probably you have minimized the application while the item-option File\Minimize to system tray is turned on in the application main menu. Look for the BackStreet Browser icon in the system tray: .

====================

Q. What is the Default rule in the "File filter" page of the project properties dialog?

A. The page "File filter" of the project properties dialog contains a list of rules which set restrictions and permissions for files being downloaded. Each rule contains a set of parameters; a file matching these parameters will be either allowed or restricted for download depending on the rule type. But there can be files that do not match any file filtering rule. Using the general Default rule you define whether all such files must be downloaded (Default rule is Allow) or not (Default rule is Restrict).

Example 1. Assume you need to download only images in the JPEG format; all other files must be rejected. Go to Project properties, open the File filter page and using the button "Extension" add the rule "Extension = *.jpg;*.jpeg" with the type "Allow". Set the default rule to Restrict.

As the result all files with the extensions *.jpg and *.jpeg will match your only rule and allowed for download. All other files will not match the rule and will be restricted for download according to the Default rule.

Example 2. Assume you need to download all files except the ones in the ZIP format. Go to Project properties, open the File filter page and using the button "Extension" add the rule "Extension = *.zip" with the type "Restrict". Set the default rule to Allow.

As the result all files with the extension *.zip will match your only rule and restricted for download. All other files will not match the rule and will be allowed for download according to the Default rule.

====================

Q. How can I set a filter so that the program will exclude all files greater than 150 KB?

A. Turn to the tab "File Filter" in the Project properties dialog. Press the button "Extension" to add a new filtering rule. Select the mode "Restrict". Specify a brief description (e. g. "Not greater than 150 KB"). Specify the extensions sets to which the rule must be applied (if all files must be considered, specify "*"). In the section "Size limits" check the option "Max. size" and the value 150.


Maximal link depth example

Assume you are working with a project whose primary URL is http://www.xyz.com/product/news.htm. In its Internet location the site has directories and HTML pages with the following URLs:

1. The page http://www.xyz.com/product/news.htm has links to pages http://www.xyz.com/product/assortment.htm and http://www.xyz.com/general.htm
2. The page http://www.xyz.com/product/assortment.htm has links to the page http://www.xyz.com/product/partners.htm
3. The page http://www.xyz.com/product/partners.htm has links to the pages http://www.abc.com and http://www.bcd.com
4. The page http://www.xyz.com/general.htm has links to pages http://www.xyz.com/staff/index.htm and http://www.xyz.com/contact/index.htm

This is how this structure can be represented graphically:

Here the primary URL is highlighted; numbers in the circles are link levels relative to the primary URL. Use these link levels to download the corresponding pages:

Let's see which values of the parameter Maximal link depth you should use to get this or that download result.

What you need to download | Set Maximal depth to
Only starting URL (http://www.xyz.com/product/news.htm) | 1
Staring URL and pages linked directly to it (http://www.xyz.com/product/assortment.htm and http://www.xyz.com/general.htm) | 2
Staring URL, pages linked directly to it (http://www.xyz.com/product/assortment.htm and http://www.xyz.com/general.htm) and pages linked to these pages (http://www.xyz.com/staff/index.htm, http://www.xyz.com/contact/index.htm and http://www.xyz.com/product/partners.htm) | 3
All pages following all links (that is ALL listed and drawn above) | empty

Please note that the action of the parameter "Maximal link depth" refers only to normal links which are HTML pages. Objects attached to pages directly (e. g. images, sound files, etc.) are not regarded as links of the following level. They are downloaded together with pages to which they are embedded if not filtered out according to project parameters.


Follow subfolders/any folder example

Assume you are working with a project whose primary URL is http://www.xyz.com/product/milk/. In its Internet location the site www.xyz.com has directories and HTML pages with the following URLs:

1. http://www.xyz.com/
2. http://www.zyx.com/contact.htm
3. http://www.xyz.com/about.htm
4. http://www.xyz.com/product/
5. http://www.xyz.com/product/support.htm
6. http://www.xyz.com/product/water/
7. http://www.xyz.com/product/milk/
8. http://www.xyz.com/product/water/mineral/
9. http://www.xyz.com/product/water/mineral/news.htm
10 . http://www.xyz.com/product/milk/baby/
11 . http://www.xyz.com/product/milk/baby/page1.htm
12. http://www.xyz.com/product/milk/baby/page2.htm

If the option "Follow only subfolders" is checked at the page "URL filter" of the Project properties dialog then during the download BackStreet Browser will not go to any folder other then http://www.xyz.com/product/milk/ (the project's primary folder, as stated in the beginning of this example) and its subfolders. The URLs listed above in the items 1-6 and 8-9 will not be downloaded.

If the option "Follow to any folder" is checked then BackStreet Browser will go to both directions from the folder http://www.xyz.com/product/milk/ - down into subfolders as well as to the folders of upper levels (all the items listed above will be downloaded).